package com.lij.himeeter.framework.manager;

import jakarta.annotation.PreDestroy;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * <pre>
 *
 * 文件名 :  ShutdownManager
 * 创建时间 : 2025年01月06日 03:25
 *
 * 文件描述 : 确保应用退出时能关闭后台线程
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

@Component
public class ShutdownManager {
    public static final Logger logger = LoggerFactory.getLogger("sys-user");

    @PreDestroy
    public void destroy() {
        shutdownAsyncManager();
    }

    /**
     * 停止异步执行任务
     */
    private void shutdownAsyncManager() {
        try {
            logger.info("====关闭后台任务任务线程池====");
            AsyncManager.me().shutdown();
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
        }
    }
}
